summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon McVittie <simon.mcvittie@collabora.co.uk>2014-03-26 11:58:30 +0000
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2014-03-27 09:20:50 +0000
commite4cccbc89babf84714b80075f1111c7a5b7a260a (patch)
tree5c8a89fa86d52c4cc9737e814b4c6144baa27e28
parent5d2a3f459a954e2d77383ae2e325318e0183fe3a (diff)
Replace MC_TEST_CURDIR with CHECK_TWISTED_CURDIR
This reduces the delta between MC's tests and the CMs' tests.
-rw-r--r--tests/twisted/run-test.sh.in6
-rw-r--r--tests/twisted/tools/exec-with-log.sh.in6
-rwxr-xr-xtests/twisted/tools/run-mc.sh.in6
3 files changed, 9 insertions, 9 deletions
diff --git a/tests/twisted/run-test.sh.in b/tests/twisted/run-test.sh.in
index d93d7be5..b4d02197 100644
--- a/tests/twisted/run-test.sh.in
+++ b/tests/twisted/run-test.sh.in
@@ -13,8 +13,8 @@
set -e
-MC_TEST_CURDIR="`pwd`"
-export MC_TEST_CURDIR
+CHECK_TWISTED_CURDIR="`pwd`"
+export CHECK_TWISTED_CURDIR
if test "x$MC_TEST_UNINSTALLED" = x; then
script_fullname=`readlink -e "@mctestsdir@/twisted/run-test.sh"`
@@ -92,7 +92,7 @@ for t in $list ; do
i=$(( $i + 1 ))
echo "# Testing $i/$n: $t ..."
- tmp="${MC_TEST_CURDIR}/tmp-`echo $t | tr ./ __`"
+ tmp="${CHECK_TWISTED_CURDIR}/tmp-`echo $t | tr ./ __`"
rm -fr "$tmp"
mkdir "$tmp"
diff --git a/tests/twisted/tools/exec-with-log.sh.in b/tests/twisted/tools/exec-with-log.sh.in
index 61380460..e9b1e3c1 100644
--- a/tests/twisted/tools/exec-with-log.sh.in
+++ b/tests/twisted/tools/exec-with-log.sh.in
@@ -22,12 +22,12 @@ G_MESSAGES_DEBUG=all
export G_MESSAGES_DEBUG
ulimit -c unlimited
-if test -z "$MC_TEST_CURDIR"; then
- echo "MC_TEST_CURDIR must be set"
+if test -z "$CHECK_TWISTED_CURDIR"; then
+ echo "CHECK_TWISTED_CURDIR must be set"
exit 1
fi
-cd "${MC_TEST_CURDIR}" || exit 1
+cd "${CHECK_TWISTED_CURDIR}" || exit 1
if test -z "$MC_TEST_LOG_DIR"; then
echo "MC_TEST_LOG_DIR must be set"
diff --git a/tests/twisted/tools/run-mc.sh.in b/tests/twisted/tools/run-mc.sh.in
index 88b951ec..aab8e974 100755
--- a/tests/twisted/tools/run-mc.sh.in
+++ b/tests/twisted/tools/run-mc.sh.in
@@ -10,11 +10,11 @@ if test -z "$MC_TEST_LOG_DIR"; then
exit 1
fi
-if test -z "$MC_TEST_CURDIR"; then
- echo "MC_TEST_CURDIR must be set"
+if test -z "$CHECK_TWISTED_CURDIR"; then
+ echo "CHECK_TWISTED_CURDIR must be set"
exit 1
fi
-cd "${MC_TEST_CURDIR}" || exit 1
+cd "${CHECK_TWISTED_CURDIR}" || exit 1
exec > ${MC_TEST_LOG_DIR}/missioncontrol-$$.log 2>&1
ln -f ${MC_TEST_LOG_DIR}/missioncontrol-$$.log missioncontrol.log